Support » Plugin: WP-dTree » Support for PHP 7.0.4.

  • Resolved stefek

    (@stefek)


    Hello! Congratulations on a nice plugin.

    Everthing works well on lower versions of PHP, but since upgrade it displays following message:

    “Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; WPDT_Links_Widget has a deprecated constructor in C:\xampp\htdocs\wordpress\wp-content\plugins\wp-dtree-30\wp-dtree-lnk-widget.php on line 2”

    Will there be any updates following the changes?

    Thanks!

    https://wordpress.org/plugins/wp-dtree-30/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author ulfben

    (@ulfben)

    Thanks, I’ll keep this in mind when updating next time.

    Plugin Author ulfben

    (@ulfben)

    I distinctly remember swapping out all constructor names a long time ago. Seems I had only missed the link-widget.

    Commited an update to trunk, so you can grab the development version if you want this fix right now.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Support for PHP 7.0.4.’ is closed to new replies.